%define pkgname glade

Name:    glade2
License: LGPL
URL:     http://glade.gnome.org/

Version: 2.10.0
Release: alt1

Source:  %pkgname-%version.tar.bz2
Source1: %{pkgname}_48.png
Source2: %{pkgname}_32.png
Source3: %{pkgname}_16.png
Patch:   %pkgname-%version-alt.patch

PreReq: scrollkeeper >= 0.3

# Automatically added by buildreq on Fri Apr 29 2005
BuildRequires: ORBit2-devel esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgda2-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomedb-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel libxslt-devel perl-XML-Parser pkgconfig scrollkeeper xorg-x11-devel zlib-devel

Summary: GTK+ / GNOME 2 widget builder
Group:   Development/GNOME and GTK+
%description
Glade is a Widget builder for Gtk/gnome.
It allows to create a gtk/gnome interface in C, C++, Ada and Perl

%prep
%setup -q -n%pkgname-%version
%patch -p1

%build
%configure --disable-dependency-tracking --enable-gnome-db
%make_build

%install
%makeinstall

mkdir -p  %buildroot{%_menudir,%_iconsdir,%_liconsdir,%_miconsdir}
cat >%buildroot%_menudir/%name <<EOF
?package(%name): \
	command="%_bindir/%pkgname-2" \
	needs="X11" \
	icon="%name.png" \
	section="Applications/Development/Development environments" \
	title="Glade 2" \
	longtitle="%summary"
EOF

cp %SOURCE1 %buildroot%_liconsdir/%name.png
cp %SOURCE2 %buildroot%_iconsdir/%name.png
cp %SOURCE3 %buildroot%_miconsdir/%name.png

%find_lang %pkgname-2.0

%post
%update_scrollkeeper
%update_menus

%postun
%clean_scrollkeeper
%clean_menus

%files -f %pkgname-2.0.lang
%doc AUTHORS COPYING ChangeLog NEWS README FAQ TODO
%_bindir/*
%_datadir/applications/*
%_datadir/glade-2
%_datadir/omf/*
%_datadir/gnome/help/glade-2
%_datadir/pixmaps/*
%_menudir/%name
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png

%changelog
* Fri Apr 29 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.10.0-alt1
- New version

* Fri Mar 18 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.9.0-alt2
- New version

* Tue Jan 11 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.6.8-alt1
- new version

* Wed Apr 28 2004 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.6.0-alt1
- new version

* Sat Jan 31 2004 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.0.1-alt2
- new version
- spec cleanup

* Tue Feb 04 2003 AEN <aen@altlinux.ru> 1.1.3-alt2
- rebuilt in new environment (gnome-db, openssl)
- gnomeprint patch
- gnome-db temporary disabled

* Sun Nov 10 2002 AEN <aen@altlinux.ru> 1.1.3-alt1
- new version

* Wed Oct 09 2002 AEN <aen@altlinux.ru> 1.1.2-alt1
- first build for Sisyphus

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.1-2mdk
- Patch0: use DTD compliant OMF files

* Tue Jul 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.1-1mdk
- Release 1.1.1

* Thu Jul 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-1mdk
- Release 1.1.0 (GNOME 2)

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.6.4-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.4-1mdk
- Release 0.6.4

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.3-2mdk
- xpm -> png icons

* Mon Jan 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.3-1mdk
- Release 0.6.3
- Remove patch0 (merged upstream)

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-5mdk
- BuildRequires

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-4mdk
- Regenerate patch 0 to work with gnome-db >= 0.2.90

* Thu Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-3mdk
- BuildRequires:	db1-devel
- BuildRequires:	GConf-devel
- BuildRequires:	gdk-pixbuf-devel
- BuildRequires:	gnome-print-devel
- BuildRequires:	libxml-devel
- BuildRequires:	oaf-devel
- BuildRequires:	popt-devel
- Removed BuildRequires: XFree86-devel
- Removed BuildRequires: audiofile-devel
- Removed BuildRequires: esound-devel
- Removed BuildRequires: gnome-libs-devel
- Removed BuildRequires: imlib-devel
- Removed BuildRequires: libgda0-devel
- Removed BuildRequires: zlib-devel

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-2mdk
- Patch0: fix to compile with gnome-db 0.2.10

* Tue Apr  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Really remove tar call in prep section
- Add scrollkeeper support

* Thu Mar 22 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.1-2mdk
- s!tar xvfy %SOURCE2!%setup -q -a2, thus removing stupid bzip2 warning
  about obsolete flags
- capitalize menu title

* Wed Mar 21 2001 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-1mdk
- new release stable now !!!

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.11-1mdk
- new release

* Tue Sep 26 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.10-1mdk
- Up to 0.5.10

* Thu Sep  7 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-7mdk
- Correct icon attribut in menu file

* Wed Aug 23 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.9-6mdk
- use find_lang macro
- More Macro

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5.9-5mdk
- automatically added BuildRequires

* Tue Jul 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.5.9-4mdk
- _menudir
- _prefix
- bzip2 menu entry to shut up rpmlint
- remove stupid docdir: tag

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix makeinstall (Stefan van der Eijk)
- spec simplification

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.9-2mdk
- fix buildroot directory which conflicts with ImageMagic (cut&paste :-( )

* Wed Jun  7 2000 Vincent Saugey  <vince@mandrakesoft.com> 0.5.9-1mdk
- Up to 0.5.9
- Clean in spec file

* Sat Apr 22 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-8mdk
- Add requires gettext

* Fri Mar 24 2000 Vincent Saugey <vince@mandrakesoft.com> 0.5.5-7mdk
- corrected group
- add menu entry
- add a icon for nenu

* Sat Nov 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected the Franch description (it is '%%description -l lang'
  and not '%%description(lang)' !)
- added an icon for the rpm

* Mon Nov 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.5.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Enable SMP build/check
- bzip2 source
- update Source: url

* Wed Sep 29 1999 Obiwan Kenobi <kenobi@mandrakesoft.com>
- Nothing.

* Wed Jun 23 1999 Jose Mercado <jmercado@mit.edu>
- Changed the Source variable to use %var.
- Fixed glade.desktop's path so rpm will find it.
